petsc-3.4.2 2013-07-02

# SNESLineSearchDestroy

Destroys the line search instance.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchDestroy(SNESLineSearch * linesearch)

Collective on SNESLineSearch

### Input Parameters

linesearch -The linesearch context

### Keywords

SNESLineSearch, Destroy

### See Also

SNESLineSearchCreate(), SNESLineSearchReset(), SNESDestroy()

Level:Intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages